[PATCH] D83990: [test-release] fallback to py3's venv module
Brian Cain via Phabricator via llvm-commits
llvm-commits at lists.llvm.org
Mon Jul 20 09:12:40 PDT 2020
bcain updated this revision to Diff 279272.
Repository:
rG LLVM Github Monorepo
CHANGES SINCE LAST ACTION
https://reviews.llvm.org/D83990/new/
https://reviews.llvm.org/D83990
Files:
llvm/utils/release/test-release.sh
Index: llvm/utils/release/test-release.sh
===================================================================
--- llvm/utils/release/test-release.sh
+++ llvm/utils/release/test-release.sh
@@ -495,12 +495,18 @@
# Setup the test-suite. Do this early so we can catch failures before
# we do the full 3 stage build.
if [ $do_test_suite = "yes" ]; then
+ venv=virtualenv
+ if ! type -P 'virtualenv' > /dev/null 2>&1 ; then
+ check_program_exists 'python3'
+ venv="python3 -m venv"
+ fi
+
SandboxDir="$BuildDir/sandbox"
Lit=$SandboxDir/bin/lit
TestSuiteBuildDir="$BuildDir/test-suite-build"
TestSuiteSrcDir="$BuildDir/llvm-test-suite"
- virtualenv $SandboxDir
+ ${venv} $SandboxDir
$SandboxDir/bin/python $BuildDir/llvm-project/llvm/utils/lit/setup.py install
mkdir -p $TestSuiteBuildDir
fi
-------------- next part --------------
A non-text attachment was scrubbed...
Name: D83990.279272.patch
Type: text/x-patch
Size: 821 bytes
Desc: not available
URL: <http://lists.llvm.org/pipermail/llvm-commits/attachments/20200720/8030d609/attachment.bin>
More information about the llvm-commits
mailing list